Subject: [rbridge] FW: VLAN registration

From: "Anoop Ghanwani" <[email-masked]>
Date: Tue, 1 Apr 2008 11:38:41 -0700

(Due to some problems with my outgoing
email address, some of my messages didn't
make it to the list.  I am forwarding all
of them.  Those on the "to" list will
probably see a duplicate.)

> -----Original Message-----
> From: Eastlake III Donald-LDE008 
> [mailto:[email-masked]] 
> Sent: Sunday, March 30, 2008 11:53 AM
> To: Anoop Ghanwani
> Cc: Developing a hybrid router/bridge.
> Subject: RE: [rbridge] VLAN registration
> 
> Hi Anoop,
> 
> So what should an Rbridge which does not support MVRP do when 
> it receives an MVRP frame? (I assume you are not just 
> supporting the older GVRP over MVRP so what you are really 
> saying is that an Rbridge does not need to provide any real 
> support for dynamic VLAN registration.)
> 
> Under such circumstances, there are various possibilities:
> 
> Just discarding the frame doesn't seem very friendly and 
> certainly won't work if you have bridges in the path that 
> have dynamic VLAN configuration.
> 
> Distributing as a non-IP-derived multicast, which is what the 
> -06 draft provided, seems pretty flakey. It might work 
> sometimes, depending on exactly port configurations, but 
> would commonly fail because the VLAN registration frame 
> wouldn't get to where it was needed or, if it did, it would 
> be VLAN tagged in violation of 802.1Q.
> 
> You could also special case it as a non-VLAN constrained 
> frame which is never VLAN-tagged when decapsulated...

I think the right way for RBridges to participate in
MVRP is as an endstation.  This means that when they
receive an MRPDU, they create a registration on the link;
that registration then propagates via IS-IS to all of
the other RBridges marked as such.  Those RBridges 
then originate the MRPDU on the LANs that they are 
connected to.

The other option would be to do what you mention
in your last point, but I'm not sure if that will
work for actually registering VLAN membership at
that RBridge.

Anoop

_______________________________________________
rbridge mailing list
[email-masked]
http://mailman.postel.org/mailman/listinfo/rbridge